%if 0%{?rhel}
%define local_dist_name centos
%else
%define local_dist_name fedora
%endif

Name:		qubes-vm-meta-packages
Version:	4.2.2
Release:	1%{?dist}
Summary:	Meta packages for Qubes-specific components
BuildArch:  noarch

Group:		System Environment/Base
License:	GPLv2+
URL:		https://www.qubes-os.org/

BuildRequires: make

Source0: %{name}-%{version}.tar.gz

%package -n qubes-vm-dependencies
Summary:    Meta package with packages required in Qubes VM
Requires:   qubes-core-agent
Requires:   qubes-core-agent-systemd
Requires:   qubes-gui-agent
Requires:   xen-runtime
Obsoletes:  xen-qubes-vm < 2001:4.9

%description -n qubes-vm-dependencies
This package depends on packages required to be installed in Qubes VM.

%package -n qubes-vm-recommended
Summary:    Meta package with packages recommended in Qubes VM
Requires:   xfce4-notifyd
Requires:   (pulseaudio-qubes if pulseaudio)
Requires:   qubes-core-agent-dom0-updates
Requires:   (qubes-core-agent-nautilus if nautilus)
Requires:   (qubes-core-agent-thunar if Thunar)
Requires:   (qubes-core-agent-network-manager if NetworkManager)
Requires:   qubes-core-agent-networking
Requires:   qubes-core-agent-passwordless-root
Requires:   qubes-gpg-split
Requires:   qubes-img-converter
Requires:   qubes-input-proxy-sender
Requires:   qubes-mgmt-salt-vm-connector
Requires:   qubes-usb-proxy
# qubes-pdf-converter needs python3.7+ currently
# not fully available
%if ! (0%{?rhel} && 0%{?rhel} <= 8)
Requires:   qubes-pdf-converter
%endif

%description -n qubes-vm-recommended
Installing this package is recommended to have full functionality available in
Qubes VM.

%description
Meta packages for easy maintenance of installed Qubes OS specific packages.

%package -n qubes-repo-contrib
Summary: Repository definition for packages contributed to Qubes OS

%description -n qubes-repo-contrib
Contrib repository contains packages written/adopted specifically for Qubes,
not available in upstream repositories.

%package -n qubes-vm-guivm
Summary: Meta package with packages required in a GuiVM
Requires: xorg-x11-server-Xorg
Requires: xorg-x11-server-Xephyr
Requires: setxkbmap
Requires: qubes-gui-daemon
Requires: qubes-core-admin-client
Requires: qubes-artwork
Requires: qubes-menus
Requires: qubes-input-proxy-receiver
Requires: qubes-gui-vnc

%description -n qubes-vm-guivm
This package depends on packages required to be installed in a GuiVM.

%prep
%setup -q

%build

%install
# comps
install -d -m 755 $RPM_BUILD_ROOT/usr/share/qubes
install -m 644 comps/comps-vm.xml $RPM_BUILD_ROOT/usr/share/qubes/qubes-comps.xml

# contrib repo
make -C repos install-vm-%{local_dist_name} DESTDIR=$RPM_BUILD_ROOT

%files
/usr/share/qubes/qubes-comps.xml

%files -n qubes-repo-contrib
%config(noreplace) /etc/yum.repos.d/qubes-contrib-vm-r4.1.repo
/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4.1-contrib-%{local_dist_name}
/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4-contrib-%{local_dist_name}

%files -n qubes-vm-dependencies

%files -n qubes-vm-recommended

%files -n qubes-vm-guivm

%changelog
* Thu Feb 16 2023 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-meta-packages.git

* Thu Feb 16 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 272646e
- version 4.2.2

* Thu Feb 16 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e9a3153
- Keep installing DejaVu fonts too

* Thu Feb 16 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9ce3837
- Fix copy&paste error

* Thu Feb 16 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ce67cdc
- version 4.2.1

* Thu Feb 16 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 700bca5
- Update comps for fc37 dom0

* Wed Feb 08 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a062ddb
- version 4.2.0

* Wed Feb 08 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 37ab3ad
- rpm: install qubes-core-agent-thunar if Thunar is installed

* Tue Feb 07 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d06e436
- Exclude qubes-mgmt-salt-vm-connector on bookworm via builderv2 too

* Tue Feb 07 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1447489
- Install new menu by default

* Tue Feb 07 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4725dea
- Prevent installing tracker and its deps

* Sat Jan 28 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9fc7264
- Include Fedora 37 template on installation image

* Mon Oct 24 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - da13497
- rpm: Use conditional dependencies

* Wed Aug 31 2022 unman <unman@thirdeyesecurity.org> - 5a0d9e5
- Remove Debian dependencies that will not work in bookworm

* Fri Jun 10 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a22d9c4
- Update fedora template to 36

* Wed May 04 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e266019
- version 4.1.21

* Fri Apr 22 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - cad58cf
- contrib-dom0: ensure to import key after install

* Fri Apr 22 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 92ce762
- Include Fedora 35 template

* Mon Apr 18 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 278dec5
- Add Qubes Builder v2 integration

* Fri Apr 15 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - b8d7144
- Drop Travis CI

* Fri Dec 24 2021 51lieal <51lieal@ileg.al> - 4394e60
- fix codename

* Tue Nov 09 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6f77553
- version 4.1.20

* Mon Oct 25 2021 Nick Davis <nick.davis@polyswarm.io> - fef4bf0
- add SOURCE_COPY_IN when distro is ubuntu

* Thu Oct 21 2021 Nick Davis <nick.davis@polyswarm.io> - f08ccf2
- add a proper make target.

* Thu Oct 21 2021 Nick Davis <nick.davis@polyswarm.io> - fba41f0
- fix the makefile syntax. Add the full path to the debian directory.

* Thu Oct 21 2021 Nick Davis <nick.davis@polyswarm.io> - 3252099
- restore the deps in the debian/control file. instead use sed to remove those entries only when building focal.

* Thu Oct 21 2021 Nick Davis <nick.davis@polyswarm.io> - 98b3f7c
- removed qubes-core-agent-dom0-updates and qubes-mgmt-salt-vm-connector from debian build deps.

* Sun Oct 17 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 3c57cb5
- spec: add BR make

* Sun Oct 10 2021 Ivan Kardykov <49684805+jevank@users.noreply.github.com> - bbc661e
- Add SOF firmware suport

* Sat Oct 02 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 28717b7
- version 4.1.19

* Fri Oct 01 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - efde070
- Don’t require qubes-thunderbird on Debian, either

* Fri Oct 01 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 85132f9
- version 4.1.18

* Fri Oct 01 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 3eed925
- Update contrib keys where no expiration has been set

* Thu Sep 30 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7b120b9
- version 4.1.17

* Tue Sep 28 2021 Ivan Kardykov <49684805+jevank@users.noreply.github.com> - 389b412
- remove annobin as required for dom0

* Sat Sep 11 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8ba7699
- version 4.1.16

* Sat Sep 11 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e3d6e74
- Debian 11

* Sat Sep 11 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 90db181
- Fix Fedora description

* Sat Sep 11 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7c43eda
- Whonix 16

* Sat Sep 11 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 69a12eb
- Include qubes-gui-vnc in qubes-vm-guivm

* Tue Sep 07 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - 6806472
- Thunderbird extension doesn’t actually work

* Sat Jul 10 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 49e8ad6
- version 4.1.15

* Sat Jul 10 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5804f81
- Remove dependency on xorg-x11-utils and xorg-x11-xkb-utils

* Sat Jul 10 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4166118
- version 4.1.14

* Tue Jul 06 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 19da8fb
- Include Fedora 34 template by default

* Sun May 30 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 710af53
- spec: disable pdf-converter for CentOS

* Mon May 17 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5933012
- version 4.1.12

* Sat May 08 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 7fb69c2
- Revert "gitlab-ci: enable archlinux build"

* Sat May 08 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - be67b12
- spec: add BR make

* Mon Feb 08 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f63409d
- Switch default template to Fedora 33

* Tue Dec 29 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7add525
- version 4.1.11

